Get a product

Requires the PRODUCT.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
category_idstring
The resource ID of the product category, that belongs to the product.
namestringformat: "^.*$"0-256 characters
referencestringformat: "^\S+$"0-256 characters
product_typeenum
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
categoryobject or null
parent_product_idstring or null
The resource ID of the original product, to which the product will belong to.
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the product.
Allowed values:
tax_categoryenum or null
The default tax category applied to the product.
Allowed values:
featureslist of objects or null
The features associated with the product.
custom_fieldslist of objects or null
display_orderinteger or null
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrationslist of objects or null
billing_entity_idstring or null
The resource ID of the billing entity linked to this product.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error